coupang
GET/v2/providers/fms/apis/api/v2/vendors/{vendorId}/couponsv1

[즉시할인쿠폰] 목록 조회(status)

# 01

요약

API 적용 가능한 구매자 사용자 지역: 한국 생성된 쿠폰을 쿠폰상태별로 조회하기 위한 API입니다.

# 02

상세

API 적용 가능한 구매자 사용자 지역: 한국
생성된 쿠폰을 쿠폰상태별로 조회하기 위한 API입니다.

Path

GET

/v2/providers/fms/apis/api/v2/vendors/{vendorId}/coupons

Example Endpoint

https://api-gateway.coupang.com/v2/providers/fms/apis/api/v2/vendors/A00012345/coupons?status=APPLIED&page=1&size=10&sort=desc

Request Parameters

Path Segment Parameter

Name Required Type Description
vendorId O String
판매자ID
쿠팡에서 업체에게 발급한 고유 코드
예) A00012345

Query String Parameter

Name Required Type Description
status O String
쿠폰 상태(STANDBY, APPLIED, PAUSED, EXPIRED, DETACHED)
page   Number
페이지. 기본값 1
다음 페이지를 호출하기 위한 키값. 첫 페이지 호출시에는 넣지 않거나 '1' 입력
size   Number
페이지 당 건수
sort   String
정렬값 (asc, desc)
기본값 ascending

Request Example

 
not require body

Response Message

Name Type Description
code Number
서버 응답 코드
message String
서버 응답 메세지
httpStatus Number
HTTP Status Code(서버 응답 코드와 동일한 값)
httpStatusMessage String
HTTP Status Message (서버 응답 메세지와 동일한 값)
errorMessage String
HTTP Status 200을 제외한 나머지 Status에서 서버 내 상세한 실패 이유 메세지가 담깁니다.
data Object
쿠폰 리스트 데이터
  success Boolean
성공 여부
true or false
  content Array
쿠폰 리스트
    contractId Number
계약서ID
    vendorContractId Number
업체의 계약서 코드(쿠팡 관리 코드)
예) -1, 1, 2
    couponId Number
쿠폰ID
    discount Number
할인율
    endAt String
유효종료일
예)2017-09-01 00:00:00
    maxDiscountPrice Number
최대 할인금액
예) 1000, 10000
    promotionName String
프로모션명
예) 원피스 1월 2째주 할인쿠폰
    startAt String
유효시작일
예) 2017-08-04 01:00:00
    status String
쿠폰상태
구분코드 설명
STANDBY 대기중
APPLIED 사용중
PAUSED 발행중지
EXPIRED 사용종료
DETACHED 아이템 파기
    type String
할인방식
예) RATE(정률할인), FIXED_WITH_QUANTITY(수량별 정액할인), PRICE(정액할인)
    wowExclusive Boolean
발행대상
false(전체 : 기본값)
true(로켓와우 회원)
  Pagination Array
페이징
    countPerPage Number
페이지 별 데이터 Count
예) 10, 20, 30
    currentPage Number
현재 페이지
예) 1
    totalPages Number
전체 페이지 Count
예) 1000
    totalElements Number
전체 데이터 Count
예) 1000

Response Example

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": [
      {
        "contractId": 63,
        "vendorContractId": null,
        "promotionName": null,
        "couponId": 2246326,
        "status": "APPLIED",
        "type": "RATE",
        "maxDiscountPrice": 40000,
        "discount": 30,
        "startAt": "2018-04-03 15:00:00",
        "endAt": "2018-04-05 23:59:00",
        "wowExclusive": "false" 
      },
      {
        "contractId": 63,
        "vendorContractId": null,
        "promotionName": null,
        "couponId": 2245939,
        "status": "APPLIED",
        "type": "RATE",
        "maxDiscountPrice": 30000,
        "discount": 20,
        "startAt": "2018-04-02 18:37:00",
        "endAt": "2018-04-05 23:59:00",
        "wowExclusive": "false" 
      },
      {
        "contractId": 63,
        "vendorContractId": null,
        "promotionName": null,
        "couponId": 2121942,
        "status": "APPLIED",
        "type": "RATE",
        "maxDiscountPrice": 10000,
        "discount": 5,
        "startAt": "2018-03-30 00:01:00",
        "endAt": "2018-04-06 23:59:00",
        "wowExclusive": "false" 
      }
    ],
    "pagination": {
      "currentPage": 1,
      "countPerPage": 10,
      "totalPages": 1,
      "totalElements": 3
    }
  }
}

Error Spec

HTTP 상태 코드 (오류 유형) 오류 메시지 해결 방법
400 (요청변수확인) 업체정보의 권한을 확인하세요 판매자ID(vendorId) 값을 올바로 입력했는지 확인합니다.
400 (요청변수확인) Page index must not be less than zero! 페이지(page) 값을 올바로 입력했는지 확인합니다.